//
//  ViewController.m
//  TPMSBleSDKDemo
//
//  Created by iot_user on 2019/7/8.
//  Copyright © 2019 IOT. All rights reserved.
//

#import "ViewController.h"

#import <TPMSBleSDK/ELTPMSBleManager.h>


@interface ViewController ()<ELTPMSBleManagerDelegate>

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    [ELTPMSBleManager shareManager].delegate = self;
    [[ELTPMSBleManager shareManager] startScan];
    
}
#pragma mark ============ ELTPMSBleManagerDelegate ==============
-(void)TPMSBleManagerUpdateBleState:(TPMSBluetoothState)state{
    NSLog(@"TPMSBleManagerUpdateBleState = %ld",state);
}
-(void)TPMSBleManagerReceiveData:(ELTPMSDataModel *)model{
    NSLog(@"TPMSBleManagerReceiveData = %@",model.description);
}

@end
